/*
 * LabelButtonBeanInfo is part of the RADi GUI Builder package.
 * All rights reserved by muntjak Software (www.muntjak.com).
 */
 
package de.muntjak.customcomponents;

import java.beans.*;

/**
 * LabelButtonBeanInfo provides icons.
 * 
 * @version 1.0
 * @author Hans Bickel
 */
public class LabelButtonBeanInfo extends SimpleBeanInfo {

	public java.awt.Image getIcon(int iconKind) {
	    if(iconKind == BeanInfo.ICON_MONO_16x16 ||
	        iconKind == BeanInfo.ICON_COLOR_16x16)
	    {
	        return loadImage("LabelButtonIcon16.gif");
	    }
	    
	    if(iconKind == BeanInfo.ICON_MONO_32x32 ||
	        iconKind == BeanInfo.ICON_COLOR_32x32)
	    {
	        return loadImage("LabelButtonIcon32.gif");
	    }
	    
	    return null;
	}
}
